<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">true</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
		<Property name="var.templates">var.templates</Property>
		<Property name="var.id">var.id</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source"></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISCurrentTime">1526642508915</Property>
		<Property name="ISWorkflowName">VAM_am_030_updateTemplate</Property>
		<Property name="ISModuleName">VAM_am_demultiplexer</Property>
		<Property name="ISModuleId">367</Property>
		<Property name="ISProcessId">5921394</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISGlobalProcessId">5921394</Property>
		<Property name="ISInvokingWorkflow">VAM_am_010_template</Property>
		<Property name="ISInvokingModule">VAM_am_wfc_030_updateTemplate</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="var.templates" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;body>&lt;template>&lt;id>124&lt;/id>&lt;customId>LAND&lt;/customId>&lt;colorCode>&lt;xpath>if (/asset/version/versionedAttributes/attribute[key='active']/value = 'true') then '77aa00' else 'ccffaa'&lt;/xpath>&lt;/colorCode>&lt;labels>&lt;de>Land&lt;/de>&lt;en>Country&lt;/en>&lt;/labels>&lt;displayName>Land&lt;/displayName>&lt;actions/>&lt;versionedAttributes>&lt;attribute>&lt;key>senderCode&lt;/key>&lt;displayName>EIC-Code&lt;/displayName>&lt;labels>&lt;de>EIC-Code&lt;/de>&lt;/labels>&lt;maxLength>24&lt;/maxLength>&lt;/attribute>&lt;attribute>&lt;key>active&lt;/key>&lt;displayName>active&lt;/displayName>&lt;type>boolean&lt;/type>&lt;labels>&lt;en>active&lt;/en>&lt;/labels>&lt;defaultValue>true&lt;/defaultValue>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;key>mailAddress&lt;/key>&lt;displayName>Mail-Postfach&lt;/displayName>&lt;displayDescription>Das Mail-Postfach wird zum Beispiel für die Alarmierung verwendet.&lt;/displayDescription>&lt;labels>&lt;de>Mail-Postfach&lt;/de>&lt;en>Mail account&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Das Mail-Postfach wird zum Beispiel für die Alarmierung verwendet.&lt;/de>&lt;en>This mail account will be used for e.g. alerting notifications.&lt;/en>&lt;/descriptions>&lt;/attribute>&lt;attribute>&lt;key>interactionRequiredForSending&lt;/key>&lt;displayName>Versand aussetzen&lt;/displayName>&lt;displayDescription>pro Ziel kann der automatische Versand ausgesetzt werden. Dann ist eine manuelle Freigabe von Nachrichten nötig.&lt;/displayDescription>&lt;type>table&lt;/type>&lt;labels>&lt;de>Versand aussetzen&lt;/de>&lt;en>Interaction required for sending&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>pro Ziel kann der automatische Versand ausgesetzt werden. Dann ist eine manuelle Freigabe von Nachrichten nötig.&lt;/de>&lt;en>Configuration of explicit clearing requirements for sending of messages.&lt;/en>&lt;/descriptions>&lt;attributes>&lt;attribute>&lt;key>target&lt;/key>&lt;displayName>Ziel&lt;/displayName>&lt;displayDescription>Ziel erfassen!&lt;/displayDescription>&lt;type>enum&lt;/type>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Ziel erfassen!&lt;/de>&lt;en>Enter target!&lt;/en>&lt;/descriptions>&lt;unique>true&lt;/unique>&lt;required>true&lt;/required>&lt;defaultValue>all&lt;/defaultValue>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;displayName>Alle&lt;/displayName>&lt;labels>&lt;de>Alle&lt;/de>&lt;en>All&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;attribute>&lt;key>fromDate&lt;/key>&lt;displayName>Von (Tag)&lt;/displayName>&lt;type>date&lt;/type>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;key>fromTime&lt;/key>&lt;displayName>Von (Zeit)&lt;/displayName>&lt;type>time&lt;/type>&lt;labels>&lt;de>Von (Zeit)&lt;/de>&lt;en>From (Time)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;defaultValue>12:00:00&lt;/defaultValue>&lt;/attribute>&lt;attribute>&lt;key>toDate&lt;/key>&lt;displayName>Bis (Tag)&lt;/displayName>&lt;type>date&lt;/type>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;key>toTime&lt;/key>&lt;displayName>Bis (Zeit)&lt;/displayName>&lt;type>time&lt;/type>&lt;labels>&lt;de>Bis (Zeit)&lt;/de>&lt;en>To (Zeit)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;key>checkGroup&lt;/key>&lt;displayName>Prüfungen&lt;/displayName>&lt;type>group&lt;/type>&lt;labels>&lt;de>Prüfungen&lt;/de>&lt;en>Checks&lt;/en>&lt;/labels>&lt;attributes>&lt;attribute>&lt;key>ignoreChecks&lt;/key>&lt;displayName>Prüfergebnisse ignorieren&lt;/displayName>&lt;displayDescription>Pro Ziel können die Prüfergebnisse ignoriert werden. Dann kommt es trotz verletzter Prüfregeln zu einem Versand.&lt;/displayDescription>&lt;type>table&lt;/type>&lt;labels>&lt;de>Prüfergebnisse ignorieren&lt;/de>&lt;en>Ignore check results&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pro Ziel können die Prüfergebnisse ignoriert werden. Dann kommt es trotz verletzter Prüfregeln zu einem Versand.&lt;/de>&lt;en>Per-target configuration of message submission regardless of the check results.&lt;/en>&lt;/descriptions>&lt;attributes>&lt;attribute>&lt;key>target&lt;/key>&lt;displayName>Ziel&lt;/displayName>&lt;type>enum&lt;/type>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;unique>true&lt;/unique>&lt;required>true&lt;/required>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;displayName>Alle&lt;/displayName>&lt;labels>&lt;de>Alle&lt;/de>&lt;en>All&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;attribute>&lt;key>fromDate&lt;/key>&lt;displayName>Von (Tag)&lt;/displayName>&lt;type>date&lt;/type>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;key>fromTime&lt;/key>&lt;displayName>Von (Zeit)&lt;/displayName>&lt;type>time&lt;/type>&lt;labels>&lt;de>Von (Zeit)&lt;/de>&lt;en>From (Time)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;key>toDate&lt;/key>&lt;displayName>Bis (Tag)&lt;/displayName>&lt;type>date&lt;/type>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;key>toTime&lt;/key>&lt;displayName>Bis (Zeit)&lt;/displayName>&lt;type>time&lt;/type>&lt;labels>&lt;de>Bis (Zeit)&lt;/de>&lt;en>To (Zeit)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;key>checkUnknownPointMandant&lt;/key>&lt;displayName>Aktion bei unbekannten Netzpunkten&lt;/displayName>&lt;displayDescription>Auszuführende Aktion bei unbekannten Netzpunkten&lt;/displayDescription>&lt;type>enum&lt;/type>&lt;labels>&lt;de>Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Auszuführende Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/descriptions>&lt;defaultValue>Ignore&lt;/defaultValue>&lt;enums>&lt;enum>&lt;key>Ignore&lt;/key>&lt;displayName>Ignorieren&lt;/displayName>&lt;labels>&lt;de>Ignorieren&lt;/de>&lt;en>Ignore&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Alert&lt;/key>&lt;displayName>Alarmieren&lt;/displayName>&lt;labels>&lt;de>Alarmieren&lt;/de>&lt;en>Alert&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Warning&lt;/key>&lt;displayName>Warnung&lt;/displayName>&lt;labels>&lt;de>Warnung&lt;/de>&lt;en>Warning&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Interaction&lt;/key>&lt;displayName>Freigabe benötigt&lt;/displayName>&lt;labels>&lt;de>Freigabe benötigt&lt;/de>&lt;en>Approval needed&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Error&lt;/key>&lt;displayName>Abbruch&lt;/displayName>&lt;labels>&lt;de>Abbruch&lt;/de>&lt;en>Abort&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;key>pointViewProcesses&lt;/key>&lt;displayName>Netzpunktsicht&lt;/displayName>&lt;labels>&lt;de>Netzpunktsicht&lt;/de>&lt;en>Net Point View&lt;/en>&lt;/labels>&lt;type>group&lt;/type>&lt;collapsed>true&lt;/collapsed>&lt;attributes/>&lt;/attribute>&lt;attribute>&lt;key>excelTemplatesPath&lt;/key>&lt;displayName>Excel-Template-Pfad&lt;/displayName>&lt;displayDescription>Pfad im IS-Repository für die Excel-Vorlagen. Staging-Stufe wird angehängt.&lt;/displayDescription>&lt;labels>&lt;de>Excel-Template-Pfad&lt;/de>&lt;en>Excel Templates Path&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pfad im IS-Repository für die Excel-Vorlagen. Staging-Stufe wird angehängt.&lt;/de>&lt;en>Path in IS repository for the Excel templates. Staging level is appended.&lt;/en>&lt;/descriptions>&lt;maxLength>24&lt;/maxLength>&lt;/attribute>&lt;/versionedAttributes>&lt;unversionedAttributes/>&lt;createdOn>2018-05-18T10:49:42Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName> bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2018-05-18T10:49:42Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName> bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;children/>&lt;parents>&lt;template>&lt;id>123&lt;/id>&lt;maximumQuantity>1&lt;/maximumQuantity>&lt;customId>PLANET&lt;/customId>&lt;displayName>Planet&lt;/displayName>&lt;/template>&lt;/parents>&lt;/template>&lt;template>&lt;id>123&lt;/id>&lt;customId>PLANET&lt;/customId>&lt;colorCode>&lt;xpath>if (/asset/version/versionedAttributes/attribute[key='active']/value = 'true') then '77aa00' else 'ccffaa'&lt;/xpath>&lt;/colorCode>&lt;labels>&lt;de>Planet&lt;/de>&lt;en>Planet&lt;/en>&lt;/labels>&lt;displayName>Planet&lt;/displayName>&lt;actions/>&lt;versionedAttributes>&lt;attribute>&lt;key>senderCode&lt;/key>&lt;displayName>EIC-Code&lt;/displayName>&lt;labels>&lt;de>EIC-Code&lt;/de>&lt;/labels>&lt;maxLength>24&lt;/maxLength>&lt;/attribute>&lt;attribute>&lt;key>active&lt;/key>&lt;displayName>active&lt;/displayName>&lt;type>boolean&lt;/type>&lt;labels>&lt;en>active&lt;/en>&lt;/labels>&lt;defaultValue>true&lt;/defaultValue>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;key>mailAddress&lt;/key>&lt;displayName>Mail-Postfach&lt;/displayName>&lt;displayDescription>Das Mail-Postfach wird zum Beispiel für die Alarmierung verwendet.&lt;/displayDescription>&lt;labels>&lt;de>Mail-Postfach&lt;/de>&lt;en>Mail account&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Das Mail-Postfach wird zum Beispiel für die Alarmierung verwendet.&lt;/de>&lt;en>This mail account will be used for e.g. alerting notifications.&lt;/en>&lt;/descriptions>&lt;/attribute>&lt;attribute>&lt;key>interactionRequiredForSending&lt;/key>&lt;displayName>Versand aussetzen&lt;/displayName>&lt;displayDescription>pro Ziel kann der automatische Versand ausgesetzt werden. Dann ist eine manuelle Freigabe von Nachrichten nötig.&lt;/displayDescription>&lt;type>table&lt;/type>&lt;labels>&lt;de>Versand aussetzen&lt;/de>&lt;en>Interaction required for sending&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>pro Ziel kann der automatische Versand ausgesetzt werden. Dann ist eine manuelle Freigabe von Nachrichten nötig.&lt;/de>&lt;en>Configuration of explicit clearing requirements for sending of messages.&lt;/en>&lt;/descriptions>&lt;attributes>&lt;attribute>&lt;key>target&lt;/key>&lt;displayName>Ziel&lt;/displayName>&lt;displayDescription>Ziel erfassen!&lt;/displayDescription>&lt;type>enum&lt;/type>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Ziel erfassen!&lt;/de>&lt;en>Enter target!&lt;/en>&lt;/descriptions>&lt;unique>true&lt;/unique>&lt;required>true&lt;/required>&lt;defaultValue>all&lt;/defaultValue>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;displayName>Alle&lt;/displayName>&lt;labels>&lt;de>Alle&lt;/de>&lt;en>All&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;attribute>&lt;key>fromDate&lt;/key>&lt;displayName>Von (Tag)&lt;/displayName>&lt;type>date&lt;/type>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;key>fromTime&lt;/key>&lt;displayName>Von (Zeit)&lt;/displayName>&lt;type>time&lt;/type>&lt;labels>&lt;de>Von (Zeit)&lt;/de>&lt;en>From (Time)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;defaultValue>12:00:00&lt;/defaultValue>&lt;/attribute>&lt;attribute>&lt;key>toDate&lt;/key>&lt;displayName>Bis (Tag)&lt;/displayName>&lt;type>date&lt;/type>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;key>toTime&lt;/key>&lt;displayName>Bis (Zeit)&lt;/displayName>&lt;type>time&lt;/type>&lt;labels>&lt;de>Bis (Zeit)&lt;/de>&lt;en>To (Zeit)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;key>checkGroup&lt;/key>&lt;displayName>Prüfungen&lt;/displayName>&lt;type>group&lt;/type>&lt;labels>&lt;de>Prüfungen&lt;/de>&lt;en>Checks&lt;/en>&lt;/labels>&lt;attributes>&lt;attribute>&lt;key>ignoreChecks&lt;/key>&lt;displayName>Prüfergebnisse ignorieren&lt;/displayName>&lt;displayDescription>Pro Ziel können die Prüfergebnisse ignoriert werden. Dann kommt es trotz verletzter Prüfregeln zu einem Versand.&lt;/displayDescription>&lt;type>table&lt;/type>&lt;labels&gt;&lt;de>Prüfergebnisse ignorieren&lt;/de>&lt;en>Ignore check results&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pro Ziel können die Prüfergebnisse ignoriert werden. Dann kommt es trotz verletzter Prüfregeln zu einem Versand.&lt;/de>&lt;en>Per-target configuration of message submission regardless of the check results.&lt;/en>&lt;/descriptions>&lt;attributes>&lt;attribute>&lt;key>target&lt;/key>&lt;displayName>Ziel&lt;/displayName>&lt;type>enum&lt;/type>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;unique>true&lt;/unique>&lt;required>true&lt;/required>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;displayName>Alle&lt;/displayName>&lt;labels>&lt;de>Alle&lt;/de>&lt;en>All&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;attribute>&lt;key>fromDate&lt;/key>&lt;displayName>Von (Tag)&lt;/displayName>&lt;type>date&lt;/type>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;key>fromTime&lt;/key>&lt;displayName>Von (Zeit)&lt;/displayName>&lt;type>time&lt;/type>&lt;labels>&lt;de>Von (Zeit)&lt;/de>&lt;en>From (Time)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;key>toDate&lt;/key>&lt;displayName>Bis (Tag)&lt;/displayName>&lt;type>date&lt;/type>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;key>toTime&lt;/key>&lt;displayName>Bis (Zeit)&lt;/displayName>&lt;type>time&lt;/type>&lt;labels>&lt;de>Bis (Zeit)&lt;/de>&lt;en>To (Zeit)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;key>checkUnknownPointMandant&lt;/key>&lt;displayName>Aktion bei unbekannten Netzpunkten&lt;/displayName>&lt;displayDescription>Auszuführende Aktion bei unbekannten Netzpunkten&lt;/displayDescription>&lt;type>enum&lt;/type>&lt;labels>&lt;de>Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Auszuführende Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/descriptions>&lt;defaultValue>Ignore&lt;/defaultValue>&lt;enums>&lt;enum>&lt;key>Ignore&lt;/key>&lt;displayName>Ignorieren&lt;/displayName>&lt;labels>&lt;de>Ignorieren&lt;/de>&lt;en>Ignore&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Alert&lt;/key>&lt;displayName>Alarmieren&lt;/displayName>&lt;labels>&lt;de>Alarmieren&lt;/de>&lt;en>Alert&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Warning&lt;/key>&lt;displayName>Warnung&lt;/displayName>&lt;labels>&lt;de>Warnung&lt;/de>&lt;en>Warning&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Interaction&lt;/key>&lt;displayName>Freigabe benötigt&lt;/displayName>&lt;labels>&lt;de>Freigabe benötigt&lt;/de>&lt;en>Approval needed&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Error&lt;/key>&lt;displayName>Abbruch&lt;/displayName>&lt;labels>&lt;de>Abbruch&lt;/de>&lt;en>Abort&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;key>pointViewProcesses&lt;/key>&lt;displayName>Netzpunktsicht&lt;/displayName>&lt;labels>&lt;de>Netzpunktsicht&lt;/de>&lt;en>Net Point View&lt;/en>&lt;/labels>&lt;type>group&lt;/type>&lt;collapsed>true&lt;/collapsed>&lt;attributes/>&lt;/attribute>&lt;attribute>&lt;key>excelTemplatesPath&lt;/key>&lt;displayName>Excel-Template-Pfad&lt;/displayName>&lt;displayDescription>Pfad im IS-Repository für die Excel-Vorlagen. Staging-Stufe wird angehängt.&lt;/displayDescription>&lt;labels>&lt;de>Excel-Template-Pfad&lt;/de>&lt;en>Excel Templates Path&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pfad im IS-Repository für die Excel-Vorlagen. Staging-Stufe wird angehängt.&lt;/de>&lt;en>Path in IS repository for the Excel templates. Staging level is appended.&lt;/en>&lt;/descriptions>&lt;maxLength>24&lt;/maxLength>&lt;/attribute>&lt;/versionedAttributes>&lt;unversionedAttributes/>&lt;createdOn>2018-05-18T10:49:33Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName> bpcadmin&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2018-05-18T10:49:33Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName> bpcadmin&lt;/displayName>&lt;/lastUpdatedByUser>&lt;children/>&lt;parents/>&lt;/template>&lt;total>12&lt;/total>&lt;/body></Property>
		<Property name="var.id">125</Property>
		<Property name="ISXMLValidatorError">false</Property>
		<Property name="ISXMLValidatorErrorString"></Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;parameters>&lt;template>&lt;customId>STADT&lt;/customId>&lt;customIdAttribute>&lt;unique>true&lt;/unique>&lt;/customIdAttribute>&lt;colorCode>&lt;xpath>if (/asset/version/versionedAttributes/attribute[key='active']/value = 'true') then '77aa00' else 'ccffaa'&lt;/xpath>&lt;/colorCode>&lt;labels>&lt;de>StadtStadtStadtStadtStadtStadt und noch mehr&lt;/de>&lt;/labels>&lt;versionedAttributes>&lt;attribute>&lt;key>senderCode&lt;/key>&lt;labels>&lt;de&gt;EIC-Code&lt;/de>&lt;/labels>&lt;maxLength>24&lt;/maxLength>&lt;/attribute>&lt;attribute>&lt;key>active&lt;/key>&lt;type>boolean&lt;/type>&lt;labels>&lt;en>active&lt;/en>&lt;/labels>&lt;defaultValue>true&lt;/defaultValue>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;key>mailAddress&lt;/key>&lt;labels>&lt;de>Mail-Postfach&lt;/de>&lt;en>Mail account&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Das Mail-Postfach wird zum Beispiel für die Alarmierung verwendet.&lt;/de>&lt;en>This mail account will be used for e.g. alerting notifications.&lt;/en>&lt;/descriptions>&lt;/attribute>&lt;attribute>&lt;key>interactionRequiredForSending&lt;/key>&lt;type>table&lt;/type>&lt;labels>&lt;de>Versand aussetzen&lt;/de>&lt;en>Interaction required for sending&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>pro Ziel kann der automatische Versand ausgesetzt werden. Dann ist eine manuelle Freigabe von Nachrichten nötig.&lt;/de>&lt;en>Configuration of explicit clearing requirements for sending of messages.&lt;/en>&lt;/descriptions>&lt;attributes>&lt;attribute>&lt;key>target&lt;/key>&lt;type>enum&lt;/type>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Ziel erfassen!&lt;/de>&lt;en>Enter target!&lt;/en>&lt;/descriptions>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;labels>&lt;de>Alle&lt;/de>&lt;en>All&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;unique>true&lt;/unique>&lt;required>true&lt;/required>&lt;defaultValue>all&lt;/defaultValue>&lt;/attribute>&lt;attribute>&lt;type>date&lt;/type>&lt;key>fromDate&lt;/key>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;type>time&lt;/type>&lt;key>fromTime&lt;/key>&lt;labels>&lt;de>Von (Zeit)&lt;/de>&lt;en>From (Time)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;defaultValue>12:00:00&lt;/defaultValue>&lt;/attribute>&lt;attribute>&lt;key>toDate&lt;/key>&lt;type>date&lt;/type>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;key>toTime&lt;/key>&lt;type>time&lt;/type>&lt;labels>&lt;de>Bis (Zeit)&lt;/de>&lt;en>To (Zeit)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;key>checkGroup&lt;/key>&lt;type>group&lt;/type>&lt;labels>&lt;de>Prüfungen&lt;/de>&lt;en>Checks&lt;/en>&lt;/labels>&lt;attributes>&lt;attribute>&lt;key>ignoreChecks&lt;/key>&lt;type>table&lt;/type>&lt;labels>&lt;de>Prüfergebnisse ignorieren&lt;/de>&lt;en>Ignore check results&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pro Ziel können die Prüfergebnisse ignoriert werden. Dann kommt es trotz verletzter Prüfregeln zu einem Versand.&lt;/de>&lt;en>Per-target configuration of message submission regardless of the check results.&lt;/en>&lt;/descriptions>&lt;attributes>&lt;attribute>&lt;key>target&lt;/key>&lt;type>enum&lt;/type>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;labels>&lt;de>Alle&lt;/de>&lt;en>All&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;unique>true&lt;/unique>&lt;required>true&lt;/required>&lt;/attribute&gt;&lt;attribute>&lt;type>date&lt;/type>&lt;key>fromDate&lt;/key>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;type>time&lt;/type>&lt;key>fromTime&lt;/key>&lt;labels>&lt;de>Von (Zeit)&lt;/de>&lt;en>From (Time)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;key>toDate&lt;/key>&lt;type>date&lt;/type>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;attribute>&lt;key>toTime&lt;/key>&lt;type>time&lt;/type>&lt;labels>&lt;de>Bis (Zeit)&lt;/de>&lt;en>To (Zeit)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;key>checkUnknownPointMandant&lt;/key>&lt;type>enum&lt;/type>&lt;labels>&lt;de>Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Auszuführende Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/descriptions>&lt;enums>&lt;enum>&lt;key>Ignore&lt;/key>&lt;labels>&lt;de>Ignorieren&lt;/de>&lt;en>Ignore&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Alert&lt;/key>&lt;labels>&lt;de>Alarmieren&lt;/de>&lt;en>Alert&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Warning&lt;/key>&lt;labels>&lt;de>Warnung&lt;/de>&lt;en>Warning&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Interaction&lt;/key>&lt;labels>&lt;de>Freigabe benötigt&lt;/de>&lt;en>Approval needed&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Error&lt;/key>&lt;labels>&lt;de>Abbruch&lt;/de>&lt;en>Abort&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;defaultValue>Ignore&lt;/defaultValue>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;key>pointViewProcesses&lt;/key>&lt;labels>&lt;de>Netzpunktsicht&lt;/de>&lt;en>Net Point View&lt;/en>&lt;/labels>&lt;type>group&lt;/type>&lt;collapsed>true&lt;/collapsed>&lt;attributes/>&lt;/attribute>&lt;attribute>&lt;key>excelTemplatesPath&lt;/key>&lt;labels>&lt;de>Excel-Template-Pfad&lt;/de>&lt;en>Excel Templates Path&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pfad im IS-Repository für die Excel-Vorlagen. Staging-Stufe wird angehängt.&lt;/de>&lt;en>Path in IS repository for the Excel templates. Staging level is appended.&lt;/en>&lt;/descriptions>&lt;maxLength>24&lt;/maxLength>&lt;/attribute>&lt;/versionedAttributes>&lt;children/>&lt;unversionedAttributes/>&lt;actions/>&lt;parents>&lt;template>&lt;customId>LAND&lt;/customId>&lt;maximumQuantity>0&lt;/maximumQuantity>&lt;/template>&lt;/parents>&lt;/template>&lt;/parameters>&lt;startTimestamp>1526642508860&lt;/startTimestamp>&lt;/request>&lt;configuration>&lt;api xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;database>&lt;type>mssql&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT2H0M5S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;hosts>&lt;item>&lt;key>dev04.virtimo.net:8191&lt;/key>&lt;url>http://localhost:8191/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev04.virtimo.net:8181&lt;/key>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;/hosts>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName> bpcadmin&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name> bpcadmin&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;roles>&lt;role>10XCH-SWISSGRID2&lt;/role>&lt;role>EAI Developer&lt;/role>&lt;role>Role11&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM_organization_16103&lt;/role>&lt;role>VAM_organization_cktest&lt;/role>&lt;role>VAM_organization_ebix&lt;/role>&lt;role>VAM_organization_showcase&lt;/role>&lt;role>bpcUser&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module&gt;&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>cktest&lt;/id>&lt;displayName>ckTEST&lt;/displayName>&lt;name>ckTEST&lt;/name>&lt;configuration>&lt;am>
    &lt;noLocationAndContactsFilters>true&lt;/noLocationAndContactsFilters>
    &lt;overviews>
      &lt;overview>
        &lt;title>
          &lt;en>Zoos&lt;/en>
        &lt;/title>
        &lt;singleTemplateMode>
          &lt;templateId>21&lt;/templateId>
          &lt;twoLevels>false&lt;/twoLevels>
        &lt;/singleTemplateMode>
        &lt;canCreate>true&lt;/canCreate>
        &lt;columns>
          &lt;order>
            &lt;dataIndex>versionedAttribute.senderName&lt;/dataIndex>
            &lt;dataIndex>displayName&lt;/dataIndex>
            &lt;dataIndex>children.joinedDisplayNames&lt;/dataIndex>
            &lt;dataIndex>id&lt;/dataIndex>
          &lt;/order>
          &lt;changes>
            &lt;column>
              &lt;dataIndex>createdOn&lt;/dataIndex>
              &lt;hidden>false&lt;/hidden>
            &lt;/column>
            &lt;column>
              &lt;dataIndex>id&lt;/dataIndex>
              &lt;hidden>false&lt;/hidden>
            &lt;/column>
            &lt;column>
              &lt;dataIndex>lastUpdatedOn&lt;/dataIndex>
              &lt;hidden>false&lt;/hidden>
              &lt;flex>1&lt;/flex>
            &lt;/column>
            &lt;column>
              &lt;dataIndex>versionedAttribute.senderName&lt;/dataIndex>
              &lt;hidden>false&lt;/hidden>
              &lt;flex>0.5&lt;/flex>
            &lt;/column>
          &lt;/changes>
        &lt;/columns>
      &lt;/overview>
      &lt;overview>
        &lt;title>
          &lt;en>Zoos(2)&lt;/en>
        &lt;/title>
        &lt;singleTemplateMode>
          &lt;twoLevels>false&lt;/twoLevels>
          &lt;templateId>21&lt;/templateId>
        &lt;/singleTemplateMode>
        &lt;canCreate>true&lt;/canCreate>
      &lt;/overview>
      &lt;overview>
        &lt;title>
          &lt;en>Wirklich alles&lt;/en>
        &lt;/title>
        &lt;canCreate>true&lt;/canCreate>
        &lt;canDelete>true&lt;/canDelete>
      &lt;/overview>
    &lt;/overviews>
  &lt;/am>&lt;/configuration>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;/user>&lt;/session></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:isxp="java:com.inubit.ibis.xsltext.ISFunctions" xmlns:am="http://www.bosch-si.com/2013/AM" xmlns:local="local:local" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>
  
  &lt;xsl:output method="xml" encoding="UTF-8"/>
  &lt;xsl:param name="var.session" as="element()"/>&lt;xsl:param name="var.templates" as="element()"/>&lt;xsl:param name="var.id"/>&lt;xsl:function name="local:customIdToId">&lt;xsl:param name="var.template" as="element()"/>&lt;xsl:choose>&lt;xsl:when test="exists($var.template/id)">&lt;xsl:value-of select="$var.templates/*[id = $var.template/id]/id"/>&lt;/xsl:when>&lt;xsl:when test="$var.template/customId != ''">&lt;xsl:value-of select="$var.templates/*[customId = $var.template/customId]/id"/>&lt;/xsl:when>&lt;/xsl:choose>&lt;/xsl:function>&lt;xsl:template match="/">&lt;xsl:variable name="template" select="$var.session/request/parameters/template" as="element()"/>&lt;xsl:variable name="currentDateTime" select="am:currentDateTimeForDB()"/>&lt;xsl:variable name="customization" as="element()">&lt;customization>&lt;xsl:copy-of select="$template/(customIdAttribute | descriptionAttribute | displayNameAttribute | pluralLabels | presentation)"/>&lt;featureActiveVersionsEnabled>&lt;xsl:value-of select="$template/featureActiveVersionsEnabled = 'true'"/>&lt;/featureActiveVersionsEnabled>&lt;use>&lt;xsl:copy-of select="$template/use/*[not(self::child)]"/>&lt;/use>&lt;/customization>&lt;/xsl:variable>
    &lt;xsl:variable name="unversionedAttributes" as="element()">&lt;attributes>&lt;xsl:copy-of select="$template/unversionedAttributes/attribute"/>&lt;/attributes>&lt;/xsl:variable>&lt;xsl:variable name="versionedAttributes" as="element()">&lt;attributes>&lt;xsl:copy-of select="$template/versionedAttributes/attribute"/>&lt;/attributes>&lt;/xsl:variable>&lt;xsl:variable name="actions" as="element()">&lt;actions>&lt;xsl:copy-of select="$template/actions/action"/>&lt;/actions>&lt;/xsl:variable>&lt;queries>&lt;query properties="force" queryID="template">



        &lt;value>&lt;xsl:variable select="$var.session/request/parameters/template/customId" name="var.customId"/>
  update templates

  set colorCode_xpath = &lt;xsl:value-of select="am:stringToDB($var.session/request/parameters/template/colorCode/xpath)"/>, customId = &lt;xsl:value-of select="am:stringToDB($var.session/request/parameters/template/customId)"/>,
  displayName_en =
    &lt;xsl:value-of select="am:stringToDB(am:languageTranslation('en', $var.session/request/parameters/template/labels, if ($var.customId != '') then $var.customId else concat(&amp;quot;Template &amp;quot;, am:numberToDB($var.id))))"/>,     displayName_de =           &lt;xsl:value-of select="am:stringToDB(am:languageTranslation('de', $var.session/request/parameters/template/labels, if ($var.customId != '') then $var.customId else concat(&amp;quot;Vorlage &amp;quot;, am:numberToDB($var.id))))"/> ,  customization = &lt;xsl:value-of select="am:nodeToDB($customization)"/>,
  versionedAttributes = &lt;xsl:value-of select="am:nodeToDB($versionedAttributes)"/>,
  unversionedAttributes = &lt;xsl:value-of select="am:nodeToDB($unversionedAttributes)"/>,
  actions = &lt;xsl:value-of select="am:nodeToDB($actions)"/>,
  lastUpdatedOn = &lt;xsl:value-of select="am:timestampToDB($currentDateTime)"/>,
  lastUpdatedByUserId = &lt;xsl:value-of select="am:stringToDB($var.session/user/id)"/>, ctxDummy = ' '

  where id = &lt;xsl:value-of select="am:numberToDB($var.id)"/>
  and organizationId = &lt;xsl:value-of select="am:stringToDB($var.session/user/organizations/organization/id)"/>
  and deleted = '0'
        &lt;/value>
      &lt;/query>&lt;query properties="force" queryID="deleteLabels">
        &lt;value>&lt;xsl:text>
delete

from tem_labels

where templateId = &lt;/xsl:text>&lt;xsl:value-of select="am:numberToDB($var.id)"/>&lt;/value>
      &lt;/query>&lt;xsl:for-each select="$var.session/request/parameters/template/labels/*">
        &lt;query properties="force" queryID="{concat('insertLabel', position() - 1)}">
          &lt;value>
insert into tem_labels (
  templateId,
  locale,
  label,
  ctxDummy
) values (
  &lt;xsl:value-of select="am:numberToDB($var.id), am:comma()"/>&lt;xsl:value-of select="am:stringToDB(local-name(.)), am:comma()"/>&lt;xsl:value-of select="am:stringToDB(.), am:comma()"/>
  ' '
)
          &lt;/value>
        &lt;/query>
      &lt;/xsl:for-each>&lt;query properties="force" queryID="deleteChildren">
        &lt;value>&lt;xsl:text>
delete

from tem_children

where templateId = &lt;/xsl:text>&lt;xsl:value-of select="am:numberToDB($var.id)"/>&lt;/value>
      &lt;/query>&lt;xsl:for-each select="$var.session/request/parameters/template/children/template">
        &lt;query properties="force" queryID="{concat('insertChild', position() - 1)}">
          &lt;value>
insert into tem_children (
  templateId,
  childTemplateId,
  isTimeSeries,
  resolution,
  minimumQuantity,
  maximumQuantity
  
) values (
  &lt;xsl:value-of select="am:numberToDB($var.id), am:comma()"/>&lt;xsl:value-of select="am:numberToDB(local:customIdToId(.)), am:comma()"/>&lt;xsl:value-of select="am:booleanToDB(isTimeSeries), am:comma()"/>&lt;xsl:value-of select="am:stringToDB(resolution), am:comma()"/>&lt;xsl:value-of select="am:numberToDB(if(minimumQuantity != '') then minimumQuantity else 0), am:comma()"/>
  &lt;xsl:value-of select="am:numberToDB(if(maximumQuantity != '') then maximumQuantity else 0)"/>
)
          &lt;/value>
        &lt;/query>
      &lt;/xsl:for-each>&lt;query properties="force" queryID="deleteParents">
        &lt;value>&lt;xsl:text>
delete

from tem_parents

where 
templateId = &lt;/xsl:text>&lt;xsl:value-of select="am:numberToDB($var.id)"/>&lt;/value>
      &lt;/query>&lt;xsl:for-each select="$var.session/request/parameters/template/parents/template">
        &lt;query properties="force" queryID="{concat('insertParent', position() - 1)}">
          &lt;value>
insert into tem_parents (
  templateId,
  parentTemplateId
  
    , maximumQuantity
  
) values (
  &lt;xsl:value-of select="am:numberToDB($var.id), am:comma()"/>&lt;xsl:value-of select="am:numberToDB(local:customIdToId(.)), am:comma()"/>
  &lt;xsl:value-of select="am:numberToDB(if(maximumQuantity != '') then maximumQuantity else 0)"/&gt;
)
          &lt;/value>
        &lt;/query>
      &lt;/xsl:for-each>
      
      
      
      
      
      
      
    &lt;/queries>

  &lt;/xsl:template>

  
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>